=== debian/control ===
Source: maliit-keyboard
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               libanthyinput-dev,
               libchewing3-dev,
               libhunspell-dev,
               libpinyin-common-dev,
               libpinyin13-dev,
               libpresage-dev,
               maliit-framework-dev,
               qtdeclarative5-dev,
               qtfeedback5-dev,
               qtmultimedia5-dev,
               sqlite3,
               presage,
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://github.com/maliit/keyboard
Vcs-Browser: https://salsa.debian.org/debian/maliit-keyboard
Vcs-Git: https://salsa.debian.org/debian/maliit-keyboard.git
Rules-Requires-Root: no

Package: maliit-keyboard
Architecture: any
Depends: maliit-framework, ${misc:Depends}, ${shlibs:Depends}
Description: virtual on-screen keyboard based on the Maliit Framework
 Maliit Keyboard is a virtual keyboard for Linux systems with Wayland and
 X11 display servers. It supports many different languages and emoji. It
 is implemented as a plug-in for Maliit Framework.
 .
 Maliit Keyboard evolved from the reference keyboard plug-in, Ubuntu
 Keyboard and Lomiri Keyboard. Ubuntu Keyboard was a fork of the
 reference plugin which was taking into account the special UI/UX needs
 of Ubuntu Phone.
