=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libpinyin13-dev,
                libpresage-dev,
                maliit-framework-dev,
+               qml-module-qtquick2,
                qtdeclarative5-dev,
                qtfeedback5-dev,
                qtmultimedia5-dev,
