=== debian/watch ===
version=4
https://github.com/maliit/keyboard/releases /maliit/keyboard/archive/refs/tags/(\d\S*).tar.gz
