=== debian/control ===
--- 
+++ 
@@ -11,18 +11,19 @@
                libchewing3-dev,
                libhunspell-dev,
                libpinyin-common-dev,
-               libpinyin13-dev,
+               libpinyin15-dev,
                libpresage-dev,
                maliit-framework-dev,
                qml-module-qtquick2,
                qtdeclarative5-dev,
                qtfeedback5-dev,
+               qtquickcontrols2-5-dev,
                qtmultimedia5-dev,
                sqlite3,
                presage,
                xauth,
                xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/maliit/keyboard
 Vcs-Browser: https://salsa.debian.org/debian/maliit-keyboard
 Vcs-Git: https://salsa.debian.org/debian/maliit-keyboard.git
@@ -30,7 +31,19 @@
 
 Package: maliit-keyboard
 Architecture: any
-Depends: maliit-framework, ${misc:Depends}, ${shlibs:Depends}
+Depends: maliit-framework (>= 2.3.0),
+         fonts-noto,
+         fonts-noto-color-emoji,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: hunspell-de-de,
+            hunspell-en-us,
+            hunspell-fr,
+            hunspell-nl,
 Description: virtual on-screen keyboard based on the Maliit Framework
  Maliit Keyboard is a virtual keyboard for Linux systems with Wayland and
  X11 display servers. It supports many different languages and emoji. It
