=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Denable-tests=ON

override_dh_install:
	# drop extra license files from bin:pkg
	rm debian/maliit-keyboard/usr/share/doc/maliit-keyboard/COPYING*

	# finally, run dh_install
	dh_install

	# ship the key-press-feedback sound file
	mkdir -p debian/maliit-keyboard/usr/share/maliit/keyboard2/sounds/
	cp debian/sound/key_tick2_quiet.wav debian/maliit-keyboard/usr/share/maliit/keyboard2/sounds/

override_dh_auto_test:
	xvfb-run dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
