## maliit-keyboard 2.3.1+p22.04+vrelease+git20240926.0340

=== debian/changelog ===
maliit-keyboard (2.3.1+p22.04+vrelease+git20240926.0340-0) jammy; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 26 Sep 2024 03:40:23 +0000

maliit-keyboard (2.3.1-0neon) jammy; urgency=medium

  [ Jonathan Riddell ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 19:09:26 +1000
