=== debian/control ===
Source: maliit-keyboard
Section: libs
Priority: optional
XSBC-Original-Maintainer: Debian Mobile Team <debian-mobile@lists.debian.org>
Uploaders: Michał Zając <quintasan@kubuntu.org>, Iain Lane <laney@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               libanthy-dev,
               libchewing3-dev,
               libhunspell-dev,
               libpinyin-common-dev,
               libpinyin15-dev,
               libpresage-dev,
               libqt5gstreamer-dev,
               maliit-framework-dev,
               presage,
               qtdeclarative5-dev,
               qtfeedback5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               sqlite3
Standards-Version: 4.6.2
Homepage: https://github.com/maliit/keyboard
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maliit-keyboard.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maliit-keyboard
Maintainer: Neon CI <neon@kde.org>

Package: maliit-keyboard
Architecture: any
Depends: maliit-framework,
         qml-module-qtfeedback,
         qml-module-qtgstreamer,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maliit Keyboard
 Keyboard for Maliit
