## maliit-keyboard 2.3.1+p24.04+vrelease+git20240927.0430

=== debian/changelog ===
maliit-keyboard (2.3.1+p24.04+vrelease+git20240927.0430-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 27 Sep 2024 04:30:31 +0000

maliit-keyboard (2.3.1-0neon) noble; urgency=medium

  [ Jonathan Riddell ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 16 Jan 2023 19:09:26 +1000
