=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
                debhelper-compat (= 13),
                doxygen,
                libanthy-dev,
+               libanthy-unicode-dev,
+               libanthyinput-dev,
+               libanthyinput-unicode-dev,
                libchewing3-dev,
                libhunspell-dev,
                libpinyin-common-dev,
@@ -28,13 +31,23 @@
 
 Package: maliit-keyboard
 Architecture: any
-Depends: maliit-framework,
-         qml-module-qtfeedback,
+Depends: qml-module-qtfeedback,
+         qml-module-qtgraphicaleffects,
          qml-module-qtgstreamer,
          qml-module-qtmultimedia,
          qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-localstorage,
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Maliit Keyboard
- Keyboard for Maliit
+Recommends: hunspell-de-de, hunspell-en-us, hunspell-fr, hunspell-nl
+Description: virtual on-screen keyboard based on the Maliit Framework
+ Maliit Keyboard is a virtual keyboard for Linux systems with Wayland and
+ X11 display servers. It supports many different languages and emoji. It
+ is implemented as a plug-in for Maliit Framework.
+ .
+ Maliit Keyboard evolved from the reference keyboard plug-in, Ubuntu
+ Keyboard and Lomiri Keyboard. Ubuntu Keyboard was a fork of the
+ reference plugin which was taking into account the special UI/UX needs
+ of Ubuntu Phone.
