## maliit-keyboard 2.3.1+p24.04+vrelease+git20250831.2310

=== debian/changelog ===
maliit-keyboard (2.3.1+p24.04+vrelease+git20250831.2310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:10:33 +0000
