## maliit-keyboard 2.3.1+p24.04+vstable+git20250831.2312

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 project(maliit-keyboard VERSION 2.3.1)
 
-option(enable-presage "Use presage to calculate word candidates (maliit-keyboard-plugin only)" ON)
 option(enable-hunspell "Use hunspell for error correction (maliit-keyboard-plugin only)" ON)
 option(enable-tests "Build tests" ON)
 
@@ -76,6 +75,8 @@
 set(WESTERNSUPPORT_SOURCES
         plugins/westernsupport/spellchecker.cpp
         plugins/westernsupport/spellchecker.h
+        plugins/westernsupport/spellpredictworker.cpp
+        plugins/westernsupport/spellpredictworker.h
         plugins/westernsupport/westernlanguagefeatures.cpp
         plugins/westernsupport/westernlanguagefeatures.h
         plugins/westernsupport/westernlanguagesplugin.cpp
@@ -95,24 +96,6 @@
         MALIIT_KEYBOARD_DATA_DIR="${CMAKE_INSTALL_PREFIX}/${MALIIT_KEYBOARD_DATA_DIR}"
         MALIIT_KEYBOARD_LANGUAGES_DIR="${CMAKE_INSTALL_PREFIX}/${MALIIT_KEYBOARD_LANGUAGES_DIR}")
 set(maliit-keyboard-include-dirs)
-
-if(enable-presage)
-    # Presage headers incompatible with C++17, which is default in newer GCC
-    set(CMAKE_CXX_STANDARD 14)
-    find_package(Presage REQUIRED)
-
-    if(Presage_FOUND)
-        list(APPEND maliit-keyboard-definitions HAVE_PRESAGE)
-        list(APPEND maliit-keyboard-libraries ${Presage_LIBRARIES})
-        list(APPEND maliit-keyboard-include-dirs ${Presage_INCLUDE_DIRS})
-
-        list(APPEND WESTERNSUPPORT_SOURCES
-                plugins/westernsupport/candidatescallback.cpp
-                plugins/westernsupport/candidatescallback.h
-                plugins/westernsupport/spellpredictworker.cpp
-                plugins/westernsupport/spellpredictworker.h)
-    endif()
-endif()
 
 if(enable-hunspell)
     find_package(Hunspell REQUIRED)
@@ -203,7 +186,7 @@
 target_include_directories(westernsupport PUBLIC src/lib/logic plugins/westernsupport ${maliit-keyboard-include-dirs})
 target_compile_definitions(westernsupport PRIVATE ${maliit-keyboard-definitions})
 
-function(language_plugin _language _full_language _ebook)
+function(language_plugin _language _full_language)
     # To support layout style variations such as en@dv we need to avoid using
     # the @ character in variables, so split and replace it with _
     set(_target ${_language})
@@ -214,10 +197,6 @@
     set(PLUGIN_SOURCES
             plugins/${_language}/src/${_full_language}plugin.h
             plugins/${_language}/src/${_full_language}plugin.json)
-if(enable-presage)
-    add_ngram(TEXT plugins/${_language}/src/${_ebook} DATABASE database_${_language}.db)
-    list(APPEND PLUGIN_SOURCES database_${_language}.db)
-endif()
     add_library(${_target}plugin MODULE ${PLUGIN_SOURCES})
     set_target_properties(${_target}plugin PROPERTIES OUTPUT_NAME ${_language}plugin)
     target_link_libraries(${_target}plugin maliit-keyboard-common westernsupport)
@@ -228,10 +207,6 @@
             DESTINATION ${MALIIT_KEYBOARD_LANGUAGES_DIR}/${_language})
     install(TARGETS ${_target}plugin
             LIBRARY DESTINATION ${MALIIT_KEYBOARD_LANGUAGES_DIR}/${_language})
-if(enable-presage)
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/database_${_language}.db
-            DESTINATION ${MALIIT_KEYBOARD_LANGUAGES_DIR}/${_language})
-endif()
     foreach(_file IN LISTS ARGN)
         install(FILES plugins/${_language}/${_file}
                 DESTINATION ${MALIIT_KEYBOARD_LANGUAGES_DIR}/${_language})
@@ -240,7 +215,7 @@
 
 function(abstract_language_plugin _language _full_language)
     set(options ABSTRACT_LANGUAGE_PLUGIN)
-    set(oneValueArgs NGRAM_DATABASE PLUGIN_DIR LANGUAGE_FEATURES)
+    set(oneValueArgs PLUGIN_DIR LANGUAGE_FEATURES)
     set(multiValueArgs SOURCES LIBRARIES INCLUDE_DIRS DEFINITIONS FILES DIRECTORY)
     cmake_parse_arguments(abstract_language_plugin "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
 
@@ -273,3 +248,18 @@
     endif()
     if(abstract_language_plugin_ABSTRACT_LANGUAGE_PLUGIN)
         list(APPEND PLUGIN_SOURCES
+                src/lib/logic/abstractlanguageplugin.cpp
+                src/lib/logic/abstractlanguageplugin.h)
+    endif()
+    foreach(_s IN LISTS abstract_language_plugin_SOURCES)
+        list(APPEND PLUGIN_SOURCES plugins/${_plugindir}/src/${_s})
+    endforeach()
+    add_library(${_target}plugin MODULE ${PLUGIN_SOURCES})
+    set_target_properties(${_target}plugin PROPERTIES OUTPUT_NAME ${_language}plugin)
+    target_link_libraries(${_target}plugin Qt5::Core Maliit::Plugins maliit-keyboard-common ${abstract_language_plugin_LIBRARIES})
+    target_include_directories(${_target}plugin PRIVATE src/lib/logic ${abstract_language_plugin_INCLUDE_DIRS})
+    target_compile_definitions(${_target}plugin PRIVATE ${abstract_language_plugin_DEFINITIONS})
+    install(TARGETS ${_target}plugin
+            LIBRARY DESTINATION ${MALIIT_KEYBOARD_LANGUAGES_DIR}/${_language})
+    install(FILES plugins/${_plugindir}/qml/Keyboard_${_language}.qml
+            plugins/${_plugindir}/qml/Keyboard_${_language}_email.qml
