=== debian/changelog ===
maliit-keyboard (2.3.1+p24.04+vstable+git20250831.2312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:12:29 +0000
