=== debian/control ===
--- 
+++ 
@@ -31,7 +31,8 @@
 
 Package: maliit-keyboard
 Architecture: any
-Depends: qml-module-qtfeedback,
+Depends: maliit-framework,
+         qml-module-qtfeedback,
          qml-module-qtgraphicaleffects,
          qml-module-qtgstreamer,
          qml-module-qtmultimedia,
