## maliit-keyboard 2.3.1+p24.04+vunstable+git20250831.2315

=== debian/changelog ===
maliit-keyboard (2.3.1+p24.04+vunstable+git20250831.2315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:15:07 +0000
